---
title: MySqlConnection.GetSchemaAsync methods
---

# MySqlConnection.GetSchemaAsync method (1 of 3)

Asynchronously returns schema information for the data source of this [`MySqlConnection`](../../MySqlConnectionType/).

```csharp
public Task<DataTable> GetSchemaAsync(
    CancellationToken cancellationToken = default(CancellationToken))
```

| parameter | description |
| --- | --- |
| cancellationToken | A token to cancel the asynchronous operation. |

## Return Value

A Task containing schema information.

## Remarks

The proposed ADO.NET API that this is based on is not finalized; this API may change in the future.

## See Also

* class [MySqlConnection](../../MySqlConnectionType/)
* namespace [MySqlConnector](../../MySqlConnectionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlConnection.GetSchemaAsync method (2 of 3)

Asynchronously returns schema information for the data source of this [`MySqlConnection`](../../MySqlConnectionType/).

```csharp
public Task<DataTable> GetSchemaAsync(string collectionName, 
    CancellationToken cancellationToken = default(CancellationToken))
```

| parameter | description |
| --- | --- |
| collectionName | The name of the schema to return. |
| cancellationToken | A token to cancel the asynchronous operation. |

## Return Value

A Task containing schema information.

## Remarks

The proposed ADO.NET API that this is based on is not finalized; this API may change in the future.

## See Also

* class [MySqlConnection](../../MySqlConnectionType/)
* namespace [MySqlConnector](../../MySqlConnectionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlConnection.GetSchemaAsync method (3 of 3)

Asynchronously returns schema information for the data source of this [`MySqlConnection`](../../MySqlConnectionType/).

```csharp
public Task<DataTable> GetSchemaAsync(string collectionName, string[] restrictionValues, 
    CancellationToken cancellationToken = default(CancellationToken))
```

| parameter | description |
| --- | --- |
| collectionName | The name of the schema to return. |
| restrictionValues | The restrictions to apply to the schema; this parameter is currently ignored. |
| cancellationToken | A token to cancel the asynchronous operation. |

## Return Value

A Task containing schema information.

## Remarks

The proposed ADO.NET API that this is based on is not finalized; this API may change in the future.

## See Also

* class [MySqlConnection](../../MySqlConnectionType/)
* namespace [MySqlConnector](../../MySqlConnectionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
